[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.SupportedFormats

Gets the list of supported formats for the clipboard.

## Declaration

Source position: clipbrd.pp line 210

`public procedure TClipboard.SupportedFormats(`
`List: TStrings`
`); procedure TClipboard.SupportedFormats(`
`var AFormatCount: Integer;`
`var FormatList: PClipboardFormat`
`);`

## Arguments

`List` |  | TStrings instance with the MIME types for the supported clipboard formats.

## Arguments

`AFormatCount` |  | Returns the number of TClipboardFormat instances in FormatList.
`FormatList` |  | Pointer to a block of TClipboardFormat instances with the supported clipboard formats.

## Description

SupportedFormats is an overloaded method in TClipboard. One variant accepts a TStrings argument where the MIME types for the supported clipboard formats is stored. The other variant provides updatable variable arguments which contain the number of supported formats and a pointer to a list of the supported TClipboardFormat instances.

Both versions use cached data when available, or call ClipboardGetFormats in the LCL interface to retrieve the supported clipboard formats.